Package org.apache.commons.compress.archivers.dump

# Class DumpArchiveException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.apache.commons.compress.CompressException
org.apache.commons.compress.archivers.ArchiveException
org.apache.commons.compress.archivers.dump.DumpArchiveException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `InvalidFormatException`, `ShortFileException`, `UnrecognizedFormatException`, `UnsupportedCompressionAlgorithmException`

public class DumpArchiveException extends ArchiveException
Signals that an dump archive exception of some sort has occurred.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DumpArchiveException()`
  Constructs a `DumpArchiveException` with `null` as its error detail message.
  `DumpArchiveException(String message)`
  Constructs a `DumpArchiveException` with the specified detail message.
  `DumpArchiveException(String message, Throwable cause)`
  Constructs a `DumpArchiveException` with the specified detail message and cause.
  `DumpArchiveException(Throwable cause)`
  Constructs a `DumpArchiveException` with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

- ## Method Summary

  ### Methods inherited from class org.apache.commons.compress.archivers.ArchiveException

  `requireNonNull`

  ### Methods inherited from class org.apache.commons.compress.CompressException

  `requireNonNull`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DumpArchiveException

    public DumpArchiveException()
    Constructs a `DumpArchiveException` with `null` as its error detail message.

  - ### DumpArchiveException

    public DumpArchiveException(String message)
    Constructs a `DumpArchiveException` with the specified detail message.
    Parameters:
      `message` - The detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).

  - ### DumpArchiveException

    public DumpArchiveException(String message, Throwable cause)
    Constructs a `DumpArchiveException` with the specified detail message and cause.

    Note that the detail message associated with `cause` is not automatically incorporated into this exception's detail message.

    Parameters:
      `message` - The detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
      `cause` - The cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A null value is permitted, and indicates that the cause is nonexistent or unknown.)

  - ### DumpArchiveException

    public DumpArchiveException(Throwable cause)
    Constructs a `DumpArchiveException` with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`). This constructor is useful for IO exceptions that are little more than wrappers for other throwables.
    Parameters:
      `cause` - The cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A null value is permitted, and indicates that the cause is nonexistent or unknown.)